0

I'm upgrading a site from 8.4.8 to 8.7.7 via Composer. After a few rounds, things seem pretty good, but I'm stuck on a tricky bit: on drush updatedb the process throws an error on Views post-update. Here's the output

views module :
Update dependencies for moved bulk field plugin.
Add additional settings to the entity link field and convert node_path usage to entity_link.
Update exposed filter blocks label display to be disabled.
Add placeholder settings to string or numeric filters.
Rebuild cache to allow placeholder texts to be translatable.
Fix cache max age for table displays.
Include views data table provider in views dependencies.

Do you wish to run all pending updates? (y/n): y
Malformed backend packet [error]
Post updating views [ok]
Failed: Exception: No entity type for field field_title on view image_paragraph_default in Drupal\views\Plugin\views\HandlerBase->getEntityType() (line 713 of .../docroot/core/modules/views/src/Plugin/views/HandlerBase.php). [error]
The command could not be executed successfully (returned: DRUSH_BACKEND_OUTPUT_START - DRUSH_BACKEND_OUTPUT_END, code: 1) [error]
Cache rebuild complete. [ok]
Finished performing updates.

So, first of all, am I just missing something obvious? The view is broken in the 8.4 site, too, but I can't figure out how to modify the field or remove the view, since all attempts throw the same error! Is there a way around that?

Thanks.

0

Bah, nevermind -- I realized that I can just remove the view from the config table in the db. Then all updates are free to proceed. Thanks!

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.